
/*:
## Aufgabe Turtle verlegt Parkett
*/


/**
Die Turtle legt Parkettböden.

- author: Klaus Reinold
- version: 1.0
 */
class ParkettTurtle: Turtle
{

    /**
    Der Konstruktor positioniert die Turtle
    */
    override init()
    {
        super.init()
        GanzNachVornBringen()
        PositionSetzen(x: 10,y: 15)
        StiftSenken()
    }

    /**
    Zeichnet ein rotes Parallelogrammelement
    */
    func ParallelogrammRotZeichnen()
    {
        FarbeSetzen(farbe: "rot")
        ParallelogrammZeichnen()
    }

    /**
    Zeichnet ein grünes Parallelogrammelement
    */
    func ParallelogrammGrünZeichnen()
    {
        FarbeSetzen(farbe: "grün")
        ParallelogrammZeichnen()
    }

    /**
    Zeichnet ein Parallelogrammelement in der eingestellten Farbe
    */
    func ParallelogrammZeichnen()
    {
        //vor
        Gehen(länge: 10)
        //zurück
        Drehen(grad: 90)
        Gehen(länge: 1)
        Drehen(grad: 90)
        Gehen(länge: 9)
        Drehen(grad: 180)
        //vor
        Gehen(länge: 10)
        //zurück
        Drehen(grad: 90)
        Gehen(länge: 1)
        Drehen(grad: 90)
        Gehen(länge: 9)
        Drehen(grad: 180)
        //vor
        Gehen(länge: 10)
        //zurück
        Drehen(grad: 90)
        Gehen(länge: 1)
        Drehen(grad: 90)
        Gehen(länge: 9)
        Drehen(grad: 180)
        //vor
        Gehen(länge: 10)
        //zurück
        Drehen(grad: 90)
        Gehen(länge: 1)
        Drehen(grad: 90)
        Gehen(länge: 9)
        Drehen(grad: 180)
        //vor
        Gehen(länge: 10)
        //zurück
        Drehen(grad: 90)
        Gehen(länge: 1)
        Drehen(grad: 90)
        Gehen(länge: 9)
        Drehen(grad: 180)
        Gehen(länge: 4)
        Drehen(grad: -90)
        Gehen(länge: 5)
        Drehen(grad: 90)
    }

    /**
    Legt eine Reihe aus grünen und roten Elementen
    */
    func GrünRotReiheLegen()
    {
        while XPositionGeben()<700
        {
            ParallelogrammGrünZeichnen()
            ParallelogrammRotZeichnen()
        }
        Drehen(grad: 180)
        StiftHeben()
        while XPositionGeben()>10
        {
            Gehen(länge: 1)
        }
        Drehen(grad: 90)
        Gehen(länge: 5)
        Drehen(grad: 90)
        StiftSenken()
    }

    /**
    Legt eine Reihe aus roten und grünen Elementen
    */
    func RotGrünReiheLegen()
    {
        while XPositionGeben()<700
        {
            ParallelogrammRotZeichnen()
            ParallelogrammGrünZeichnen()
        }
        Drehen(grad: 180)
        StiftHeben()
        while XPositionGeben()>10
        {
            Gehen(länge: 1)
        }
        Drehen(grad: 90)
        Gehen(länge: 5)
        Drehen(grad: 90)
        StiftSenken()
    }
    
    /**
    Legt das Parkett über die ganze Zeichenfläche
    */
    func ParkettLegen()
    {
        while YPositionGeben()<500
        {
            GrünRotReiheLegen()
            RotGrünReiheLegen()
        }
    }

//#-editable-code

//#-end-editable-code
}

//#-editable-code
let t = ParkettTurtle()
t.ParkettLegen()
//#-end-editable-code
