/*:
## Aufgabe Informatik ist überall: Ampelschaltung
*/

/**
Stellt eine einfache Ampel dar

- author: Albert Wiedemann
- version: 1.0
 */
class Ampel
{
    /** obere Lampe */
    var lampeOben: Kreis
    /** mittlere Lampe */
    var lampeMitte: Kreis
    /** untere Lampe */
    var lampeUnten: Kreis
    /** Ampelphase */
    var ampelphase: String
    
    /**
    Legt die benötigten Objekte an und richtet sie ein.
    */
    init ()
    {
        var hilf = Rechteck()
        hilf.PositionSetzen(x: 100, y: 50)
        hilf.GrößeSetzen(breite: 50, höhe: 150)
        hilf.FarbeSetzen(farbe: "schwarz")
        hilf = Rechteck()
        hilf.PositionSetzen(x: 103, y: 53)
        hilf.GrößeSetzen(breite: 44, höhe: 144)
        hilf.FarbeSetzen(farbe: "weiß")
        hilf = Rechteck()
        hilf.PositionSetzen(x: 100, y: 98)
        hilf.GrößeSetzen(breite: 50, höhe: 4)
        hilf.FarbeSetzen(farbe: "schwarz")
        hilf = Rechteck()
        hilf.PositionSetzen(x: 100, y: 148)
        hilf.GrößeSetzen(breite: 50, höhe: 4)
        hilf.FarbeSetzen(farbe: "schwarz")
        lampeOben = Kreis()
        lampeOben.PositionSetzen(x: 125, y: 75)
        lampeOben.RadiusSetzen(radius: 20)
        lampeOben.FarbeSetzen(farbe: "rot")
        lampeMitte = Kreis()
        lampeMitte.PositionSetzen(x: 125, y: 125)
        lampeMitte.RadiusSetzen(radius: 20)
        lampeMitte.FarbeSetzen(farbe: "schwarz")
        lampeUnten = Kreis()
        lampeUnten.PositionSetzen(x: 125, y: 175)
        lampeUnten.RadiusSetzen(radius: 20)
        lampeUnten.FarbeSetzen(farbe: "schwarz")
        
        ampelphase = "rot"
    }
    
    /**
    Setzt die Ampel auf rot
    */
    func RotSetzen()
    {
        lampeOben.FarbeSetzen(farbe: "rot")
        lampeMitte.FarbeSetzen(farbe: "schwarz")
        lampeUnten.FarbeSetzen(farbe: "schwarz")
        ampelphase = "rot"
    }
    
    /**
    Setzt die Ampel auf rot-gelb
    */
    func RotGelbSetzen()
    {
        lampeOben.FarbeSetzen(farbe: "rot")
        lampeMitte.FarbeSetzen(farbe: "gelb")
        lampeUnten.FarbeSetzen(farbe: "schwarz")
        ampelphase = "rotgelb"
    }
    
    /**
    Setzt die Ampel auf grün
    */
    func GrünSetzen()
    {
        lampeOben.FarbeSetzen(farbe: "schwarz")
        lampeMitte.FarbeSetzen(farbe: "schwarz")
        lampeUnten.FarbeSetzen(farbe: "grün")
        ampelphase = "grün"
    }
    
    /**
    Setzt die Ampel auf gelb
    */
    func GelbSetzen()
    {
        lampeOben.FarbeSetzen(farbe: "schwarz")
        lampeMitte.FarbeSetzen(farbe: "gelb")
        lampeUnten.FarbeSetzen(farbe: "schwarz")
        ampelphase = "gelb"
    }

    /**
    Liefert die aktuelle Phase der Ampel
    */
    func AmpelphaseGeben() -> String
    {
        return ampelphase
    }
    
    /**
    Schaltet die Ampel gemäß der StVO weiter
    */
    func Weiterschalten()
    {
//#-editable-code


//#-end-editable-code
        
    }
}
//#-editable-code
Ampel()
//#-end-editable-code
