/*:
## Aufgabe FIGUR
*/

/**
Beschreibt ein Chamäleon.

- author: Albert Wiedemann
- version: 1.0
 */
class Chamäleon: Figur
{

    /**
    Legt das Chamäleon in der Farbe grün an.
    */
    override init ()
    {
        super.init()
        GrünSetzen()
    }
    
    /**
    Erzeugt die grüne Chamäleon-Figur
    */
    func GrünSetzen()
    {
        FigurteilFestlegenDreieck(x1: -50, y1: 25, x2: 25, y2: -15, x3: 25, y3: 10, farbe: "grün")
        FigurteilFestlegenDreieck(x1: 25, y1: -15, x2: 50, y2: 10, x3: 25, y3: 10, farbe: "grün")
        FigurteilFestlegenRechteck(x: -10, y: 5, breite: 10, höhe: 30, farbe: "grün")
        FigurteilFestlegenRechteck(x: 15, y: 0, breite: 10, höhe: 35, farbe: "grün")
        FigurteilFestlegenDreieck(x1: 25, y1: 25, x2: 35, y2: 35, x3: 25, y3: 35, farbe: "grün")
        FigurteilFestlegenEllipse(x: 25, y: -5, breite: 8, höhe: 8, farbe: "rot")
    }
    
    /**
    Erzeugt die blaue Chamäleon-Figur
    */
    func BlauSetzen()
    {
        FigurteilFestlegenDreieck(x1: -50, y1: 25, x2: 25, y2: -15, x3: 25, y3: 10, farbe: "blau")
        FigurteilFestlegenDreieck(x1: 25, y1: -15, x2: 50, y2: 10, x3: 25, y3: 10, farbe: "blau")
        FigurteilFestlegenRechteck(x: -10, y: 5, breite: 10, höhe: 30, farbe: "blau")
        FigurteilFestlegenRechteck(x: 15, y: 0, breite: 10, höhe: 35, farbe: "blau")
        FigurteilFestlegenDreieck(x1: 25, y1: 25, x2: 35, y2: 35, x3: 25, y3: 35, farbe: "blau")
        FigurteilFestlegenEllipse(x: 25, y: -5, breite: 8, höhe: 8, farbe: "rot")
    }
    
    /**
    Erzeugt die rote Chamäleon-Figur
    */
    func RotSetzen()
    {
        FigurteilFestlegenDreieck(x1: -50, y1: 25, x2: 25, y2: -15, x3: 25, y3: 10, farbe: "rot")
        FigurteilFestlegenDreieck(x1: 25, y1: -15, x2: 50, y2: 10, x3: 25, y3: 10, farbe: "rot")
        FigurteilFestlegenRechteck(x: -10, y: 5, breite: 10, höhe: 30, farbe: "rot")
        FigurteilFestlegenRechteck(x: 15, y: 0, breite: 10, höhe: 35, farbe: "rot")
        FigurteilFestlegenDreieck(x1: 25, y1: 25, x2: 35, y2: 35, x3: 25, y3: 35, farbe: "rot")
        FigurteilFestlegenEllipse(x: 25, y: -5, breite: 8, höhe: 8, farbe: "orange")
    }
    
    /**
    Erzeugt die schwarze Chamäleon-Figur
    */
    func SchwarzSetzen()
    {
        FigurteilFestlegenDreieck(x1: -50, y1: 25, x2: 25, y2: -15, x3: 25, y3: 10, farbe: "schwarz")
        FigurteilFestlegenDreieck(x1: 25, y1: -15, x2: 50, y2: 10, x3: 25, y3: 10, farbe: "schwarz")
        FigurteilFestlegenRechteck(x: -10, y: 5, breite: 10, höhe: 30, farbe: "schwarz")
        FigurteilFestlegenRechteck(x: 15, y: 0, breite: 10, höhe: 35, farbe: "schwarz")
        FigurteilFestlegenDreieck(x1: 25, y1: 25, x2: 35, y2: 35, x3: 25, y3: 35, farbe: "schwarz")
        FigurteilFestlegenEllipse(x: 25, y: -5, breite: 8, höhe: 8, farbe: "rot")
    }

//#-editable-code


//#-end-editable-code

//#-editable-code


//#-end-editable-code
}

//#-editable-code
Chamäleon()
//#-end-editable-code
