/*:
## Aufgabe Krümel und Monster (Teil 2)
*/

/**
Verwaltet das Monster

- author: Albert Wiedemann
- version: 1.0
 */
class Monster: Figur
{
    /**
    Stellt das gelb gefärbte Monster mit geschlossenem Mund dar.
    */
    func GeschlossenGelb()
    {
        EigeneFigurLöschen()
        FigurteilFestlegenEllipse(x: -50, y: -50, breite: 100, höhe: 100, farbe: "gelb")
        FigurteilFestlegenRechteck(x: 0, y: -2, breite: 50, höhe: 4, farbe: "schwarz")
        FigurteilFestlegenEllipse(x: 10, y: -40, breite: 20, höhe: 20, farbe: "schwarz")
    }

    /**
    Stellt das orange gefärbte Monster mit geschlossenem Mund dar.
    */
    func GeschlossenOrange()
    {
        EigeneFigurLöschen()
        FigurteilFestlegenEllipse(x: -50, y: -50, breite: 100, höhe: 100, farbe: "orange")
        FigurteilFestlegenRechteck(x: 0, y: -2, breite: 50, höhe: 4, farbe: "schwarz")
        FigurteilFestlegenEllipse(x: 10, y: -40, breite: 20, höhe: 20, farbe: "schwarz")
    }

    /**
    Stellt das rot gefärbte Monster mit geschlossenem Mund dar.
    */
    func GeschlossenRot()
    {
        EigeneFigurLöschen()
        FigurteilFestlegenEllipse(x: -50, y: -50, breite: 100, höhe: 100, farbe: "rot")
        FigurteilFestlegenRechteck(x: 0, y: -2, breite: 50, höhe: 4, farbe: "schwarz")
        FigurteilFestlegenEllipse(x: 10, y: -40, breite: 20, höhe: 20, farbe: "schwarz")
    }

    /**
    Stellt das grün gefärbte Monster mit geschlossenem Mund dar.
    */
    func GeschlossenGrün()
    {
        EigeneFigurLöschen()
        FigurteilFestlegenEllipse(x: -50, y: -50, breite: 100, höhe: 100, farbe: "grün")
        FigurteilFestlegenRechteck(x: 0, y: -2, breite: 50, höhe: 4, farbe: "schwarz")
        FigurteilFestlegenEllipse(x: 10, y: -40, breite: 20, höhe: 20, farbe: "schwarz")
    }

    /**
    Stellt das Monster in der angegebenen Farbe mit offenem Mund dar.
    - parameters:
    	- farbe: die gewünschte Farbe
    */
    func Offen(farbe: String)
    {
        EigeneFigurLöschen()
        FigurteilFestlegenEllipse(x: -50, y: -50, breite: 100, höhe: 100, farbe: farbe)
        FigurteilFestlegenDreieck(x1: 0, y1: 0, x2: 50, y2: -10, x3: 50, y3: 10, farbe: "schwarz")
        FigurteilFestlegenEllipse(x: 10, y: -40, breite: 20, höhe: 20, farbe: "schwarz")
    }

//#-editable-code


//#-end-editable-code

//#-editable-code


//#-end-editable-code

}
//#-editable-code
let monster = Monster()
monster.GeschlossenGelb()
//#-end-editable-code

